## com.google.common.base
Class FinalizableWeakReference<T>

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.WeakReference<T>
              com.google.common.base.FinalizableWeakReference<T>

All Implemented Interfaces:
  FinalizableReference

    public abstract class FinalizableWeakReference<T>

extends WeakReference<T>
implements FinalizableReference

Weak reference with a `finalizeReferent()` method which a background thread invokes after the garbage collector reclaims the referent. This is a simpler alternative to using a `ReferenceQueue`.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Bob Lee

Constructor Summary
`protected` `FinalizableWeakReference(T referent, FinalizableReferenceQueue queue)` Constructs a new finalizable weak reference.

Method Summary

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.common.base.FinalizableReference
`finalizeReferent`

Constructor Detail

### FinalizableWeakReference

    protected FinalizableWeakReference(T referent,
                                       FinalizableReferenceQueue queue)

  Constructs a new finalizable weak reference.

  Parameters:
    `referent` - to weakly reference
    `queue` - that should finalize the referent

Copyright © 2010-2012. All Rights Reserved.